/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface TextProps extends PConnFieldProps {
}
export declare class TextComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    formatAs$: string;
    angularPConnectData: AngularPConnectData;
    configProps$: TextProps;
    label$: string;
    value$: string;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    displayMode$?: string;
    controlName$: string;
    componentReference: string;
    formattedValue$: string;
    format$: string;
    formattedUrl$: string;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    onStateChange(): void;
    generateUrl(sVal: any): string;
    generateDate(sVal: any): string;
    generateDateTime(sVal: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextComponent, "app-text", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formatAs$": { "alias": "formatAs$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
